### Constructor

# Gimp Module new

#### Declaration [src]

    GimpModule*
    gimp_module_new (
      GFile* file,
      gboolean auto_load,
      gboolean verbose
    )

#### Description [src]

Creates a new `GimpModule` instance.

#### Parameters

`file`

  Type: `GFile`

  A `GFile` pointing to a loadable module.

  The data is owned by the caller of the function.

`auto_load`

  Type: `gboolean`

  Pass `TRUE` to exclude this module from auto-loading.

`verbose`

  Type: `gboolean`

  Pass `TRUE` to enable debugging output.

#### Return value

Type: `GimpModule`

The new `GimpModule` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.